Subject: RE: [xdebug-general] Xdebug & crappy firewall

From: Derick Rethans <[email-masked]>
Date: Wed, 30 Mar 2011 15:56:26 +0100 (BST)

On Wed, 30 Mar 2011, HACHE, Louis wrote:

> On Wed, 20 Mar 2011, Derick Rethans wrote:
> 
> > On Wed, 30 Mar 2011, HACHE, Louis wrote:
> > 
> > > I'm working on a PHP project with netbeans and xdebug. All is 
> > > working fine except that there's a crappy firewall which analyses 
> > > every data transfer on the localhost. Moreover, my computer is 
> > > really slow. Due to these to things, i can't work, my computer 
> > > freezes and i have to reboot netbeans and apache.
> > > 
> > > Is there a way to configure xdebug in order that he works with a 
> > > socket and not TCP or UDP or whatever. I want to bypass the 
> > > firewall.
> > 
> > What sort of socket do you mean? You mean unix domain, or Windows 
> > pipes?
> 
That's all right. Everybody makes mistakes :-) I probably could add this 
to Xdebug quite easily, but the thing is, the protocol specs don't 
support it (yet) and neither of course will IDEs. If you can get 
netbeans people willing to commit to adding Windows pipe support as 
well, then I'll have a look at getting Xdebug to support it.

cheers,
Derick
twitter: @derickr and @xdebug